DatagramPacket
Date: 2016-06-24

java.net

## Class DatagramPacket

- java.lang.Object
- - java.net.DatagramPacket

-     public final class DatagramPacket
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatagramPacket(byte[] var0, int var1)`
    `DatagramPacket(byte[] var0, int var1, InetAddress var2, int var3)`
    `DatagramPacket(byte[] var0, int var1, int var2)`
    `DatagramPacket(byte[] var0, int var1, int var2, InetAddress var3, int var4)`
    `DatagramPacket(byte[] var0, int var1, int var2, SocketAddress var3)`
    `DatagramPacket(byte[] var0, int var1, SocketAddress var2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetAddress` | `getAddress()`
    `byte[]` | `getData()`
    `int` | `getLength()`
    `int` | `getOffset()`
    `int` | `getPort()`
    `SocketAddress` | `getSocketAddress()`
    `void` | `setAddress(InetAddress var0)`
    `void` | `setData(byte[] var0)`
    `void` | `setData(byte[] var0, int var1, int var2)`
    `void` | `setLength(int var0)`
    `void` | `setPort(int var0)`
    `void` | `setSocketAddress(SocketAddress var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatagramPacket

          public DatagramPacket(byte[] var0,
                        int var1)

    - #### DatagramPacket

          public DatagramPacket(byte[] var0,
                        int var1,
                        int var2)

    - #### DatagramPacket

          public DatagramPacket(byte[] var0,
                        int var1,
                        int var2,
                        InetAddress var3,
                        int var4)

    - #### DatagramPacket

          public DatagramPacket(byte[] var0,
                        int var1,
                        int var2,
                        SocketAddress var3)
                         throws SocketException

      Throws:
        `SocketException`

    - #### DatagramPacket

          public DatagramPacket(byte[] var0,
                        int var1,
                        InetAddress var2,
                        int var3)

    - #### DatagramPacket

          public DatagramPacket(byte[] var0,
                        int var1,
                        SocketAddress var2)
                         throws SocketException

      Throws:
        `SocketException`

  - ### Method Detail

    - #### getAddress

          public InetAddress getAddress()

    - #### getData

          public byte[] getData()

    - #### getLength

          public int getLength()

    - #### getOffset

          public int getOffset()

    - #### getPort

          public int getPort()

    - #### getSocketAddress

          public SocketAddress getSocketAddress()

    - #### setAddress

          public void setAddress(InetAddress var0)

    - #### setData

          public void setData(byte[] var0)

    - #### setData

          public void setData(byte[] var0,
                     int var1,
                     int var2)

    - #### setLength

          public void setLength(int var0)

    - #### setPort

          public void setPort(int var0)

    - #### setSocketAddress

          public void setSocketAddress(SocketAddress var0)